Subject: <draft-hinden-6man-rfc2464bis-01>

From: Bob Hinden <[email-masked]>
Date: Mon, 9 Jan 2017 12:24:55 -0800

Hi,

I published a new version of rfc2464bis <draft-hinden-6man-rfc2464bis-01>.  Links below.

This draft brings in the two updates and errata.  The changes include:

      Incorporate update from draft-ietf-6man-default-iids
      (currently in RFC Editor queue).  Revised Section 4 to say
      IIDs should be formed based on RFC7217 and that it not
      recommended to use hardware based IIDs.

      Incorporate update from RFC6085.  Added to Section 7 that an
      IPv6 multicast packet may be mapped to a unicast Ethernet
      Link layer address and that nodes receiving packets with this
      address mapping should not drop these packets.

      Updates to resolve the open Errata on RFC2464.  These are:

              Errata ID: 430: Correct reference to EUI-64.  Note, the
              corrected URL specified in the Errata isn't working, the
              reference now points to one that does work.

              Errata ID: 4855: This errata is not correct, and will be
              marked as rejected.  No change is required.  Also, the
              text that this Errata proposed to change was removed when
              the update from draft-ietf-6man-default-iids was
              incorporated.

      Editorial changes.

A diff from the previous version can be found at:

   https://tools.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc2464bis-01.txt

I plan to send separate emails on each update, explaining the changes and asking a few questions.

This is part of the project to move the core IPv6 specifications to Internet Standard.

Thanks,
Bob

> 
> A new version of I-D, draft-hinden-6man-rfc2464bis-01.txt
> has been successfully submitted by Robert M. Hinden and posted to the
> IETF repository.
> 
> Name:		draft-hinden-6man-rfc2464bis
> Revision:	01
> Title:		Transmission of IPv6 Packets over Ethernet Networks
> Document date:	2017-01-09
> Group:		Individual Submission
> Pages:		9
> URL:            https://www.ietf.org/internet-drafts/draft-hinden-6man-rfc2464bis-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-hinden-6man-rfc2464bis/
> Htmlized:       https://tools.ietf.org/html/draft-hinden-6man-rfc2464bis-01
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc2464bis-01
> 
> Abstract:
>   This document specifies the frame format for transmission of IPv6
>   packets and the method of forming IPv6 link-local addresses and
>   statelessly autoconfigured addresses on Ethernet networks.  It also
>   specifies the content of the Source/Target Link-layer Address option
>   used in Router Solicitation, Router Advertisement, Neighbor
>   Solicitation, Neighbor Advertisement and Redirect messages when those
>   messages are transmitted on an Ethernet.
> 
>   This document replaces RFC 2464 "Transmission of IPv6 Packets over
>   Ethernet Networks", which will become historic.
> 
>